' Keypad layout
'
' 1  2  3  Start                    ' sample keypad used. top left is R1C1
' 4  5  6  Prog
' 7  8  9  Set
' -  0  +  Stop                     ' bottom right is R4C4
'

con

  _clkmode = xtal1 + pll16x         ' enable external clock and pll times 16
  _xinfreq = 5_000_000              ' set frequency to 5 MHZ


obj

  kp   : "Keypad_encoder"                                       ' keypad driver object P0 - P7
  term : "FullDuplexSerial"                                     ' for serial input & output monitoring

pub main | Pressed_Key

   term.start(31, 30, %0000, 115_200)                            ' start terminal (use PST)
   kp.start(4, 4, 0, 4, @table)                                  ' start keypad driver

   term.str(string("Keypad demo testing... press a key", 13))

   repeat

     Pressed_Key := kp.getkey 
     if Pressed_Key > 0
       term.tx(Pressed_Key)
       term.str(string(13))
   
   
dat

table   byte  "1", "2", "3", "S", "4", "5", "6", "R"            ' translation table. starting at R1C1 through R4C4
        byte  "7", "8", "9", "E", "N", "0", "P", "X" 